平台现行的法律文本(使用条款、隐私声明、DPA 及其附件、开发者条款)
GET
/v1/legal
const url = 'https://api.vimine.network/v1/legal?locale=it';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.vimine.network/v1/legal?locale=it'每种类型、每种语言各一条,均为今日现行的版本。?all=1 会加上以往版本的存档;?locale=it|en 用于限定语言。
参数
章节“参数”查询参数
章节“查询参数”locale
仅限此语言
string
all
设为 1 时包含以往版本
string
响应
章节“响应”200
章节“200”文件列表
媒体类型application/json
object
documents
必填
Array<object>
object
uid
string 格式: uuid
kind
必填
文件类型(platform_terms、platform_privacy、platform_cookie、aps_terms、aps_dpa、aps_dpa_annex1_processing … developer_terms)
string
locale
必填
string
version
必填
版本标签(1.0、1.1、…)
string
title
必填
string
summary
此版本的变更内容
string
effective_from
string 格式: date-time
retired_at
string 格式: date-time
sha256
规范模板正文的 SHA-256
string
current
必填
这是该类型在其语言中的现行版本
boolean
requires_reacceptance
boolean
archive
以往版本(使用 ?all=1 时)
Array<object>
object
uid
string 格式: uuid
kind
必填
文件类型(platform_terms、platform_privacy、platform_cookie、aps_terms、aps_dpa、aps_dpa_annex1_processing … developer_terms)
string
locale
必填
string
version
必填
版本标签(1.0、1.1、…)
string
title
必填
string
summary
此版本的变更内容
string
effective_from
string 格式: date-time
retired_at
string 格式: date-time
sha256
规范模板正文的 SHA-256
string
current
必填
这是该类型在其语言中的现行版本
boolean
requires_reacceptance
boolean
示例
{ "documents": [ { "locale": "it" } ], "archive": [ { "locale": "it" } ]}400
章节“400”请求无效
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}404
章节“404”未找到
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}429
章节“429”已触发速率限制
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}500
章节“500”内部错误
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}